/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { CommodityChannelIndexIndicatorStrategy } from "./CommodityChannelIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let CommodityChannelIndexIndicator = /*@__PURE__*/ (() => {
    class CommodityChannelIndexIndicator extends StrategyBasedIndicator {
        bj() {
            return new CommodityChannelIndexIndicator();
        }
        get_abt() {
            return new CommodityChannelIndexIndicatorStrategy();
        }
        get abt() {
            return this.get_abt();
        }
        get_ab6() {
            return CommodityChannelIndexIndicator.$;
        }
        get ab6() {
            return this.get_ab6();
        }
        get ace() {
            return typeGetValue(this.c(CommodityChannelIndexIndicator.acf));
        }
        set ace(a) {
            this.h(CommodityChannelIndexIndicator.acf, a);
        }
        abz() {
            return this.ace;
        }
        ab8(a) {
            this.ace = a;
        }
    }
    CommodityChannelIndexIndicator.$t = markType(CommodityChannelIndexIndicator, 'CommodityChannelIndexIndicator', StrategyBasedIndicator.$);
    CommodityChannelIndexIndicator.acf = StrategyBasedIndicator.acb(20, CommodityChannelIndexIndicator.$);
    return CommodityChannelIndexIndicator;
})();
